package core.api.models.timemanager.taskSchedule.scheduleInfos;

import core.api.models.timemanager.taskgroup.TaskgroupEntityInfo;
import core.entities.timemanager.Task;

import java.time.LocalDateTime;
import java.util.List;

public class AdvancedScheduleInfo extends ScheduleInfo {

    private LocalDateTime scheduleStartTime;
    private LocalDateTime scheduleStopTime;

    public AdvancedScheduleInfo(long scheduleID, ScheduleType scheduleType, LocalDateTime startTime, LocalDateTime stopTime, int activeMinutes, Task task, List<TaskgroupEntityInfo> taskgroupPath, LocalDateTime plannedStartTime, LocalDateTime plannedStopTime) {
        super(scheduleID, scheduleType, startTime, stopTime, activeMinutes, task, taskgroupPath);
        this.scheduleStartTime = plannedStartTime;
        this.scheduleStopTime = plannedStopTime;
    }

    public LocalDateTime getScheduleStartTime() {
        return scheduleStartTime;
    }

    public void setScheduleStartTime(LocalDateTime scheduleStartTime) {
        this.scheduleStartTime = scheduleStartTime;
    }

    public LocalDateTime getScheduleStopTime() {
        return scheduleStopTime;
    }

    public void setScheduleStopTime(LocalDateTime scheduleStopTime) {
        this.scheduleStopTime = scheduleStopTime;
    }
}
